Creates an instance of the embedding SDK

### Hierarchy

- EmbedSDK

## Index

### Constructors

- constructor

### Methods

- createChart
- createDashboard

## Constructors

### constructor

- new EmbedSDK(options: Partial<EmbedOptions>): EmbedSDK

- Accepts an optional EmbedChartOptions object to use as the default options for any charts created using this SDK instance.

      const sdk = new EmbedSDK({
        baseUrl: "https://charts.mongodb.com",
      })

  #### Parameters

  - ##### options: Partial<EmbedOptions>

  #### Returns EmbedSDK

## Methods

### createChart

- createChart(options: Partial<EmbedChartOptions>): Chart

- Creates a new Chart instance that allows you to interact with and embed charts into your application

  #### Parameters

  - ##### options: Partial<EmbedChartOptions>

  #### Returns Chart

### createDashboard

- createDashboard(options: Partial<EmbedDashboardOptions>): Dashboard

- Creates a new Dashboard instance that allows you to embed a dashboard into your application

  #### Parameters

  - ##### options: Partial<EmbedDashboardOptions>

  #### Returns Dashboard

Generated using TypeDoc